# Añadir entrega

## Modificación de ruta

> Endpoint que permite agregar una o varias entregas a una ruta.

```json
{"openapi":"3.0.0","info":{"title":"API de Shippify","version":"1.0.0"},"servers":[{"url":"https://api.shippify.co","description":"Servidor de desarrollo"}],"security":[{"Basic_Auth":[]}],"components":{"securitySchemes":{"Basic_Auth":{"type":"http","scheme":"basic"}},"schemas":{"addRoute":{"successfulResponse":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"},"data":{"type":"object","description":"Información de los procesos adicionales creados.","properties":{"jobs":{"description":"Identificador del proceso externo creado","type":"string"}}}}},"request":{"type":"object","required":["routeId","deliveries"],"properties":{"routeId":{"description":"Identificador de la ruta a la que se agregarán las entregas","type":"string"},"deliveries":{"description":"Lista de identificadores de las entregas a agregar a la ruta","type":"array","items":{"type":"string"}}}}},"Unauthenticated":{"properties":{"code":{"type":"string"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/v1/routes/add":{"patch":{"tags":["Modificación, Rutas"],"summary":"Modificación de ruta","description":"Endpoint que permite agregar una o varias entregas a una ruta.","responses":{"200":{"description":"Operación exitosa","content":{"application/json":{"schema":{"$ref":"#/components/schemas/addRoute/successfulResponse"}}}},"401":{"description":"No autorizado","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthenticated"}}}}},"requestBody":{"description":"Aquí va la descripción","content":{"application/json":{"schema":{"$ref":"#/components/schemas/addRoute/request"}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shippify.co/developers/shippify-api/rutas/anadir-entrega.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
